#pragma once

#include "application/contracts/IKeyInput.h"

namespace ta::adapters::windows::input
{
    class WindowsKeyInput final : public ta::application::IKeyInput
    {
    public:
        [[nodiscard]] bool pressed(int virtual_key) const noexcept override;
        [[nodiscard]] int first_pressed_key() const noexcept override;
        void clear_pressed_state() const noexcept override;
    };
}
